IntegrationsKlaviyo

Get the Klaviyo account behind the API key: organization, timezone, currency, default sender.

POST
/integrations/connections/{connection_id}/providers/klaviyo/account/get

Get the Klaviyo account behind the API key: organization, timezone, currency, default sender.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/klaviyo/account/get" \  -H "Content-Type: application/json" \  -d '{}'
{  "account_id": "example",  "organization_name": "example",  "default_sender_name": "example",  "default_sender_email": "example",  "website_url": "example",  "timezone": "example",  "preferred_currency": "example",  "locale": "example",  "industry": "example",  "test_account": false}